WordPress.org

Support

Support » Installation » [Resolved] Upgrading to 2.3.1 breaks blog

[Resolved] Upgrading to 2.3.1 breaks blog

  • Hi,
    I’ve upgraded WP installations before, but this time it goes terribly wrong.
    – I downloaded the 2.3.1 installation files
    – I published them
    – I ran the upgrade.php

    But all I can see
    Warning: main(/home/path/wp-includes/functions.php): failed to open stream: No such file or directory in /home/path/wp-settings.php on line 118

    Warning: main(/home/path/wp-includes/functions.php): failed to open stream: No such file or directory in /home/path/wp-settings.php on line 118

    Fatal error: main(): Failed opening required ‘/home/path/wp-includes/functions.php’ (include_path=’.:/usr/local/lib/php’) in /home/path/wp-settings.php on line 118

    And there is no way of accessing wp-admin

    So I guess I lost all of it?

Viewing 4 replies - 1 through 4 (of 4 total)
  • In addition: just after publishing the new files I saw this:

    WordPress database error: [You have an error in your SQL syntax. Check the manual that corresponds to your MySQL server version for the right syntax to use near ” at line 1]
    SELECT cat_id, cat_name FROM

    just above Categories

    Not sure if it still matters, but I wonder what that was.

    Hi,
    I found out that the problem was teh template that wasn’t compatible with the newest version of WP.
    CU

    You might want to upgrade to 2.3.3 as there are some security fixes in both 2.3.2 and 2.3.3,

    Hi, I was upgrading to 2.3.3 when I received the same problem as hlr. I successfully upgraded WP in the previous 2 versions without a problem. This time I got the following error msgs:

    Warning: main(/home/pearce15/public_html/blog/wp-includes/functions.php) [function.main]: failed to open stream: No such file or directory in /home/pearce15/public_html/blog/wp-settings.php on line 118

    Warning: main(/home/pearce15/public_html/blog/wp-includes/functions.php) [function.main]: failed to open stream: No such file or directory in /home/pearce15/public_html/blog/wp-settings.php on line 118

    Fatal error: main() [function.require]: Failed opening required ‘/home/pearce15/public_html/blog/wp-includes/functions.php’ (include_path=’.:/usr/lib/php:/usr/local/lib/php’) in /home/pearce15/public_html/blog/wp-settings.php on line 118

    Really hv no clue as to how I should resolve this.

Viewing 4 replies - 1 through 4 (of 4 total)
  • The topic ‘[Resolved] Upgrading to 2.3.1 breaks blog’ is closed to new replies.
Skip to toolbar